// 首页工单数据
import request from '@/utils/request'

// 获取工单状态统计数据
export function getOrderState(datetype) {
  return request({
    url: 'workorderapi/api/baseworkorder/getworkorderstatecount',
    method: 'get',
    params: {
      datetype
    }
  })
}

// 获取工单类型统计数据
export function getOrderType(datetype) {
  return request({
    url: 'workorderapi/api/baseworkorder/getworkordertypecount',
    method: 'get',
    params: {
      datetype
    }
  })
}

// 获取工单来源统计数据
export function getOrderSource(datetype) {
  return request({
    url: 'workorderapi/api/baseworkorder/getworkordersourcecount',
    method: 'get',
    params: {
      datetype
    }
  })
}

// 获取工单24小时统计数据
export function getOrderHoursCount(datetype) {
  return request({
    url: 'workorderapi/api/baseworkorder/getworkorder24count',
    method: 'get',
    params: {
      datetype
    }
  })
}

// 获取工单排行统计数据
export function getOrderLists(params) {
  return request({
    url: 'workorderapi/api/baseworkorder/getusercountrank',
    method: 'get',
    params
  })
}


// 获取当月任务
export function getTaskList(params) {
  return request({
    url: 'api/ManagementCenter/totaltasks',
    method: 'get',
    params
  })
}
// 获取销售行为分析数据
export function getSalesData(params) {
  return request({
    url: 'api/ManagementCenter/realtimesales',
    method: 'get',
    params
  })
}
// 获取重要提醒数据数据
export function getRemindData(params) {
  return request({
    url: 'api/ManagementCenter/reminder',
    method: 'get',
    params
  })
}
// 获取排行榜数据
export function getRankingData(params) {
  return request({
    url: 'api/ManagementCenter/rankinglist',
    method: 'get',
    params
  })
}
// 获取待办事项数据
export function getTodolistData(params) {
  return request({
    url: 'api/ManagementCenter/todolist',
    method: 'get',
    params
  })
}
// 获取媒体进线量排名
export function getRankingMediaAccessData(params) {
  return request({
    url: 'api/ManagementCenter/mediainline',
    method: 'get',
    params
  })
}
// 获取话务指标
export function getTrafficIndexData(params) {
  return request({
    url: 'api/ManagementCenter/trafficindex',
    method: 'get',
    params
  })
}